stages:
  - build

build:
  stage: build
  image: docker
  services:
    - docker:dind
  #variables:
   # DOCKER_AUTH_CONFIG: "{\"auths\":{\"registry.gitlab.com/mohan.krishnamoorthy/dotnet\":{\"username\":\"mohan.krishnamoorthy\",\"password\":\"$CI_JOB_TOKEN\"}}}"
  script:
    - docker build -t my-dotnet-image .
    - docker save my-dotnet-image:latest > my-dotnet-image.tar
  artifacts:
    paths:
      - my-dotnet-image.tar
    #- echo "$DOCKER_AUTH_CONFIG" > /kaniko/.docker/config.json
    #- docker login registry.gitlab.com
    #- docker build -t my-dotnet-image .
    #- docker build -t registry.gitlab.com/mohan.krishnamoorthy/dotnet .
    #- docker tag my-dotnet-image:latest $CI_REGISTRY_IMAGE:latest
    #- docker tag my-dotnet-image:latest registry.gitlab.com/mohan.krishnamoorthy/dotnet
    #- docker push $CI_REGISTRY_IMAGE:latest
   # - docker push registry.gitlab.com/mohan.krishnamoorthy/dotnet
